<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence du fichier src/db.py</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('db_8py.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Espaces de nommage</a> &#124;
<a href="#func-members">Fonctions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier db.py</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="db_8py_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Espaces de nommage</h2></td></tr>
<tr class="memitem:namespacesrc_1_1db"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html">src.db</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a0df14ce45b703f8486dc9205ac9246ad"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a0df14ce45b703f8486dc9205ac9246ad">src.db.openDb</a> ()</td></tr>
<tr class="memdesc:a0df14ce45b703f8486dc9205ac9246ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ouverture de la base de données de l'application, et création si nécessaire.  <a href="namespacesrc_1_1db.html#a0df14ce45b703f8486dc9205ac9246ad">Plus de détails...</a><br /></td></tr>
<tr class="separator:a0df14ce45b703f8486dc9205ac9246ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada90bce10163107c35dd61955edf9307"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#ada90bce10163107c35dd61955edf9307">src.db.checkVersion</a> (major, minor)</td></tr>
<tr class="separator:ada90bce10163107c35dd61955edf9307"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cce1a7772d666bb9c52a2d4ba22c9cd"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a4cce1a7772d666bb9c52a2d4ba22c9cd">src.db.hasStudent</a> (student)</td></tr>
<tr class="memdesc:a4cce1a7772d666bb9c52a2d4ba22c9cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">vérifie qu'un étudiant est déjà connu  <a href="namespacesrc_1_1db.html#a4cce1a7772d666bb9c52a2d4ba22c9cd">Plus de détails...</a><br /></td></tr>
<tr class="separator:a4cce1a7772d666bb9c52a2d4ba22c9cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a708cc3325644f79a8da6817cf131e3e8"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a708cc3325644f79a8da6817cf131e3e8">src.db.knowsId</a> (stickid, uuid, tattoo)</td></tr>
<tr class="memdesc:a708cc3325644f79a8da6817cf131e3e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">dit si une clé USB est déjà connue  <a href="namespacesrc_1_1db.html#a708cc3325644f79a8da6817cf131e3e8">Plus de détails...</a><br /></td></tr>
<tr class="separator:a708cc3325644f79a8da6817cf131e3e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2734729596ad4aa825ed66b97ddd7209"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a2734729596ad4aa825ed66b97ddd7209">src.db.tattooList</a> ()</td></tr>
<tr class="memdesc:a2734729596ad4aa825ed66b97ddd7209"><td class="mdescLeft">&#160;</td><td class="mdescRight">Renvoie la liste des tatouages connus de la base de données.  <a href="namespacesrc_1_1db.html#a2734729596ad4aa825ed66b97ddd7209">Plus de détails...</a><br /></td></tr>
<tr class="separator:a2734729596ad4aa825ed66b97ddd7209"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9afc0ee6dce3ce82783bb0aaa349532f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a9afc0ee6dce3ce82783bb0aaa349532f">src.db.readStudent</a> (stickid, uuid, tattoo)</td></tr>
<tr class="memdesc:a9afc0ee6dce3ce82783bb0aaa349532f"><td class="mdescLeft">&#160;</td><td class="mdescRight">renvoie l'étudiant qui possède une clé USB  <a href="namespacesrc_1_1db.html#a9afc0ee6dce3ce82783bb0aaa349532f">Plus de détails...</a><br /></td></tr>
<tr class="separator:a9afc0ee6dce3ce82783bb0aaa349532f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a44074f833d8283643343b09cff02b6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a1a44074f833d8283643343b09cff02b6">src.db.readPrefs</a> ()</td></tr>
<tr class="memdesc:a1a44074f833d8283643343b09cff02b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">renvoie les préférences de ScolaSync  <a href="namespacesrc_1_1db.html#a1a44074f833d8283643343b09cff02b6">Plus de détails...</a><br /></td></tr>
<tr class="separator:a1a44074f833d8283643343b09cff02b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada6f363fccebc105cf7ca85bdb5eccdc"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#ada6f363fccebc105cf7ca85bdb5eccdc">src.db.setWd</a> (newDir)</td></tr>
<tr class="memdesc:ada6f363fccebc105cf7ca85bdb5eccdc"><td class="mdescLeft">&#160;</td><td class="mdescRight">définit le nouveau nom du répertoire de travail préféré.  <a href="namespacesrc_1_1db.html#ada6f363fccebc105cf7ca85bdb5eccdc">Plus de détails...</a><br /></td></tr>
<tr class="separator:ada6f363fccebc105cf7ca85bdb5eccdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab88098a0a4df23901dffda6197968088"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#ab88098a0a4df23901dffda6197968088">src.db.writeStudent</a> (stickid, uuid, tattoo, student)</td></tr>
<tr class="memdesc:ab88098a0a4df23901dffda6197968088"><td class="mdescLeft">&#160;</td><td class="mdescRight">inscrit un étudiant comme propriétaire d'une clé USB  <a href="namespacesrc_1_1db.html#ab88098a0a4df23901dffda6197968088">Plus de détails...</a><br /></td></tr>
<tr class="separator:ab88098a0a4df23901dffda6197968088"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6628948dc0e29baf0d368288dbb676be"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a6628948dc0e29baf0d368288dbb676be">src.db.writePrefs</a> (prefs)</td></tr>
<tr class="memdesc:a6628948dc0e29baf0d368288dbb676be"><td class="mdescLeft">&#160;</td><td class="mdescRight">inscrit les préférences  <a href="namespacesrc_1_1db.html#a6628948dc0e29baf0d368288dbb676be">Plus de détails...</a><br /></td></tr>
<tr class="separator:a6628948dc0e29baf0d368288dbb676be"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa073cf63c80489da19924aaa911726f3"><td class="memItemLeft" align="right" valign="top">dictionary&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#aa073cf63c80489da19924aaa911726f3">src.db.licence</a> = {}</td></tr>
<tr class="separator:aa073cf63c80489da19924aaa911726f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11a7f300f3f10c0ab24cf7b95cc4e5b2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a11a7f300f3f10c0ab24cf7b95cc4e5b2">src.db.database</a> = None</td></tr>
<tr class="separator:a11a7f300f3f10c0ab24cf7b95cc4e5b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23dd9ed4abbc2dcd952158347944fe39"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1db.html#a23dd9ed4abbc2dcd952158347944fe39">src.db.cursor</a> = None</td></tr>
<tr class="separator:a23dd9ed4abbc2dcd952158347944fe39"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="db_8py.html">db.py</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
